package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备出货回调
 */
@Data
public class VendingShipReq {

    //成功：{"machine_id":"001","SaleSn":"1234567890","ChannelNum":"1","Status":"OK"}
    //失败：{"machine_id":"001","SaleSn":"1234567890","ChannelNum":"1","Status":"FAIL"}

    @ApiModelProperty(value = "设备id")
    private String machine_id;

    @ApiModelProperty(value = "订单号")
    private String SaleSn;

    @ApiModelProperty(value = "设备通道")
    private String ChannelNum;

    @ApiModelProperty(value = "出货状态")
    private String Status;

}
